HelpBot Assistant

How can I help you?

Getting started with Angular RichTextEditor

This section helps to understand the getting started of RTE control with the step-by-step instruction.

Create RTE Control

Create an HTML page and add the scripts references in the order mentioned in the following code example.

  • HTML
  • <!DOCTYPE html>
    <html>
       <head> 
        <link href="//cdn.syncfusion.com/32.2.3/js/web/flat-azure/ej.web.all.min.css" rel="stylesheet" />
        <script src="node_modules/core-js/client/shim.min.js"></script>
        <script src="node_modules/zone.js/dist/zone.js"></script>
        <script src="node_modules/reflect-metadata/Reflect.js"></script>
        <script src="node_modules/systemjs/dist/system.src.js"></script>
        <script src="https://code.jquery.com/jquery-3.0.0.min.js"></script> 
        <script src="http://cdn.syncfusion.com/32.2.3/js/web/ej.web.all.min.js" type="text/javascript"></script>
        <script src ="http://cdn.syncfusion.com/32.2.3/js/common/ej.angular2.min.js"></script>
        <script src="systemjs.config.js"></script>
      </head>
      <body>
       <ej-app>Loading...</ej-app>
      </body>
    </html>

    Initialize RTE

    In the rte component HTML file.

  • HTML
  • <textarea ej-rte width="600px" height="300px"></textarea>
  • JS
  • import {Component, ViewEncapsulation} from '@angular/core';
    
    @Component({
      selector: 'ej-app',
      templateUrl: 'app/app.component.html',
    })
    export class AppComponent {  
    }

    Now, the RTE is rendered.

    Angular RTE.

    Toolbar–Configuration

    You can configure a toolbar with the tools as your application requires.

  • HTML
  • <textarea ej-rte width="600px" height="300px" [(toolsList)]="tools"></textarea>
  • JS
  • import {Component} from '@angular/core';
    
    @Component({
      selector: 'my-app',
      templateUrl: 'app/components/rating/rating.component.html'
    })
    export class RatingComponent {
        tools: any; 
        constructor() {
            this.tools = ["formatStyle", "font", "style", "effects", "alignment", "lists", "indenting", "clipboard", "doAction", "clear", "casing", "customTools", "print"];  
        }
    }

    The above code example displays the following output.

    Angular RichTextEditor tools.

    You can set the content of the editor as follows.

  • HTML
  • <textarea ej-rte width="600px" height="300px" [(value)]="content"></textarea>
  • JS
  • import {Component, ViewEncapsulation} from '@angular/core';
    
    @Component({
      selector: 'ej-app',
      templateUrl: 'app/app.component.html',
    })
    export class AppComponent {
    	content:string;
    	  constructor() {
    		  this.content="Description: The Rich Text Editor (RTE) control is an easy to render in client side. Customer easy to edit the contents and get the HTML content from RTE";
    	  }
    }

    The following screenshot displays a RTE widget.

    Angular RichTextEditor value.

HelpBot Assistant

How can I help you?

Getting Started

This section helps to understand the getting started of RTE control with the step-by-step instruction.

Create RTE Control in React JS

You can create a React application and add necessary scripts and styles with the help of the given React Getting Started Documentation.

Create a JSX file for rendering RichTextEditor component using <EJ.RTE> syntax. Add required properties to it in <EJ.RTE> tag element

  • JS
  • "use strict";
    
    ReactDOM.render(
        <EJ.RTE width="100%" minWidth="150px" isResponsive={true}>
        </EJ.RTE>,
    document.getElementById('rte-default')
    );

    Define an HTML element for adding RichTextEditor in the application and refer the JSX file.

  • HTML
  • <div id="rte-default"></div>
    <script src="app/rte/default.js"></script>

    The following screenshot displays a RTE widget.

    create

    Toolbar–Configuration

    You can configure a toolbar with the tools as your application requires.

  • HTML
  • <div id="rte-default"></div>
    <script src="app/rte/default.js"></script>
  • JS
  • "use strict";
    var tool=["style", "lists", "doAction", "links", "images"];
    var tools={style: ["bold", "italic"], lists: ["unorderedList", "orderedList"],doAction: ["undo", "redo"],links: ["createLink"],images: ["image"] };
    ReactDOM.render(
        <EJ.RTE width="100%" minWidth="150px" isResponsive={true} toolsList={tool} tools={tools}>
        </EJ.RTE>,
    document.getElementById('rte-default')
    );

    The following screenshot displays a RTE widget.

    RTE

    Setting and Getting Content

    You can set the content of the editor as follows.

  • HTML
  • <div id="rte-default"></div>
    <script src="app/rte/default.js"></script>
  • JS
  • "use strict";
    
    ReactDOM.render(
        <EJ.RTE width="100%" minWidth="150px" isResponsive={true} >
            &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
            &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
            client side. Customer easy to edit the contents and get the HTML content for
            the displayed content. A rich text editor control provides users with a toolbar
            that helps them to apply rich text formats to the text entered in the text
            area. &lt;/p&gt;
            &lt;p&gt;&lt;b&gt;Functional
            Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
            &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
            the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
            to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
            to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
            elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
            the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
            efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
            navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
        </EJ.RTE>,
    document.getElementById('rte-default')
    );

    The following screenshot displays a RTE widget.

    value

    You can also set the content of the editor using value property as follows.

  • HTML
  • <div id="rte-default"></div>
    <script src="app/rte/default.js"></script>
  • JS
  • "use strict";   
    var RTEDefault = React.createClass({   
    getInitialState: function()   
      {   
          return ({   
              data: 'This is RTE Content'   
          });   
      },   
        render: function () {   
            return (      
                <div  id="rte_default" >   
                    <EJ.RTE width="100%" minWidth="150px" isResponsive={true} value={this.state.data} >   
                    </EJ.RTE>   
                </div>   
            );   
        }   
    });     
      
    ReactDOM.render(<RTEDefault />, document.getElementById('rte-default'));

    The value that is set to the RTE is added in this.state. Hence, the value is accessible in componentDidMount()